Bug 1314085 - [DOCS] Adding cloud provider tries to delete node
[DOCS] Adding cloud provider tries to delete node
Product: OpenShift Container Platform
Classification: Red Hat
Component: Documentation (Show other bugs)
Unspecified Unspecified
urgent Severity medium
: ---
: ---
Assigned To: Ashley Hardin
Eric Jones
Vikram Goyal
Depends On:
  Show dependency treegraph
Reported: 2016-03-02 16:23 EST by Eric Jones
Modified: 2016-03-09 12:09 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
OpenShift 3.1 AP 3.1
Last Closed: 2016-03-09 12:09:45 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Eric Jones 2016-03-02 16:23:36 EST
Document URL: 

Section Number and Name: 

Describe the issue: 
Switching from not using a cloud provider to using a cloud provider produces the error message (or at least one similar) [0] because the node switched from using the hostname as the externalID (which would have been the case when no cloud provider was being used) to using the AWS instance-id (which is what the AWS cloud provider specifies).

Suggestions for improvement: 
The fix is to login as a cluster-admin and delete the node(s) `oc delete node <NODE_IDENTIFIER>` and everything will be fine as the new node identifier will take charge. Engineering suggested the simpler fix to this situation is to add this fact to the documentation.

Additional information: 
Recording NodeReady event message for node XXXX.ec2.internal
Attempting to register node XXXX.ec2.internal
Previously "XXXX.ec2.internal" had externalID "YYYY"; now it is "XXXX.ec2.internal"; will delete and recreate.
Unable to delete old node: User "system:node:XXXX.ec2.internal" cannot delete nodes at the cluster scope
Comment 3 Ashley Hardin 2016-03-04 15:24:30 EST
Work in progress:

@Eric-please review and let me know if this satisfies the request
Comment 4 Eric Jones 2016-03-04 17:13:51 EST
@Ashley, the idea will meet the request once it goes through, but there were some in-line comments made before I got there and I responded to a few of them.
Comment 5 openshift-github-bot 2016-03-07 13:32:22 EST
Commits pushed to master at https://github.com/openshift/openshift-docs

Bug 1314085, added guidance: switching to cloud provider tries to delete the node

Merge pull request #1695 from ahardin-rh/config-aws

Bug 1314085, switching to cloud provider tries to delete the node

Note You need to log in before you can comment on or make changes to this bug.